# 73. Forespørgsel: Hent gitterdata med den valgte buffer

Forespørgsel for at hente gitterdata fra datasæt som "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" med den valgte buffer.

{% hint style="danger" %}
Anbefales kun at hente et enkelt datasæt med `sourceDataUrl` pr. forespørgsel.&#x20;
{% endhint %}

`IngenBuffer`, `PlusEnPixel`, `PlusToPixel`, `MinusEnPixel`, og `MinusToPixel` er tilgængelige som en `buffer`.

{% hint style="danger" %}
`sourceDataUrl` linket er kun tilgængeligt i **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    navn
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      navn
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/oversigt-over-geopard-api-anmodninger/73.-foresporgsel-hent-gitterdata-med-den-valgte-buffer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
